<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>demo ciclos</title>
</head>
<body>
  <div id="conteo">
  </div>

  <script type="text/javascript">
  //ciclo for básico
  const conteo = document.getElementById('conteo');
  for (let index = 0; index <=10; index++) {
    console.log(index);
    conteo.innerHTML += ` ${index}  <br />`;
  }

 /* let suma = 0;
  for (let index = 0; index < 3; index++) {
    let ingreso = parseInt(prompt('escribe un número'));
    suma = suma + ingreso;
  }
  console.log(`la suma total es ${suma}`);

  */

  // let numero_par = true;
  // while(numero_par){
  //   let ingreso = parseInt(prompt('escribe un número Par'));
  //   residuo = ingreso % 2;
  //   if (residuo === 1) {
  //     console.log('detener ciclo');
  //     numero_par = false;
  //   } else {
  //     console.log('continuo');
  //     numero_par = true;
  //   }
  // }

  //versión reducida con operador ternario
  let numero_par = true;
  while(numero_par){
    let ingreso = parseInt(prompt('escribe un número Par'));
    let residuo = ingreso % 2;
    residuo === 1 ? numero_par = false : numero_par = true;
  }

  numero_par = true;
  do {
    let ingreso = parseInt(prompt('escribe un número Par'));
    let residuo = ingreso % 2;
    residuo === 1 ? numero_par = false : numero_par = true;
  }while(numero_par);

  </script>
</body>
</html>